summaryrefslogtreecommitdiff
path: root/qa/src/make.dodgey
diff options
context:
space:
mode:
Diffstat (limited to 'qa/src/make.dodgey')
-rwxr-xr-xqa/src/make.dodgey35
1 files changed, 35 insertions, 0 deletions
diff --git a/qa/src/make.dodgey b/qa/src/make.dodgey
new file mode 100755
index 0000000..ae223cf
--- /dev/null
+++ b/qa/src/make.dodgey
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Copyright (c) 1997-2001 Silicon Graphics, Inc. All Rights Reserved.
+#
+# Make the various "dodgey" logs
+#
+
+. $PCP_DIR/etc/pcp.env
+
+if [ $# -ne 2 ]
+then
+ echo "Usage: make-dodgey type nsample"
+ exit 1
+fi
+
+if [ ! -f config.dodgey-$1 ]
+then
+ echo "make-dodgey: cannot find config file \"config.dodgey-$1\""
+ exit 1
+fi
+
+
+rm -f dodgey-$1.index dodgey-$1.meta dodgey-$1.0
+pmstore sample.dodgey.control 5
+pmlogger -c config.dodgey-$1 -s $2 dodgey-$1 &
+sleep 3; pmstore sample.dodgey.control 3
+sleep 3; pmstore sample.dodgey.control 4
+sleep 3; pmstore sample.dodgey.control 5
+sleep 3; pmstore sample.dodgey.control 0
+sleep 3; pmstore sample.dodgey.control 5
+sleep 3; pmstore sample.dodgey.control -1044
+sleep 3; pmstore sample.dodgey.control 5
+sleep 3
+
+wait